<meta charset="utf-8">
<link href="../../css/templatemo_style.css" rel="stylesheet" type="text/css" />





<?php
session_start();
if (isset($_GET['s'])) {
    $s = $_GET['s'];
    $_SESSION['GROUPOFUSE'] = $s;
}


if ($_SESSION['GROUPOFUSE'] == 2) {
    $pagetitle = "2oυ Γραφείου!!!";
    include('../../divs/header.php');
} else {
    require_once('../../login/login_functions.inc.php');
    $url = absolute_url('../../login/login.php');
    header("Location: $url");
    exit();
}
?>


<!--  MENU  -->

<div id="templatemo_menu_wrapper">

    <?php
    if (isset($_GET['s'])) {
        echo'<div id="templatemo_menu">
        <ul>
           <li><a href="2oGrafeio.php" class="current"><span></span>Αρχική</a></li>
            <li><a><span></span>Ενημέρωση Στελεχών</a><ul>
                   <li><a href="enhmerosh.php" target="_parent" ><span></span>Δείτε τις πρόσφατες ανακοινώσεις</a></li>
                   <li><a href="anakoinosh.php" target="_parent"><span></span>Αναρτήστε τη δική σας ανακοίνωση</a></li>
                                                     </ul> </li>
            <li><a><span></span>Υπηρεσίες</a><ul>
                   <li><a href="view_yphresies.php" target="_parent"><span></span>Δείτε ολες τις υπηρεσίες</a></li>
                   <li><a href="add_yphresies.php" target="_parent"><span></span>Καταχωρήστε νέα υπηρεσία</a></li>
                                            </ul> </li>                        
            <li><a href="fullcalendar/default.php" target="_blank"><span></span>Ημερολόγιο Υπηρεσιών</a>                        
           <li><a href="../dkths/dkths.php?s=6"><span></span>Επιστροφή στη Σελίδα Διοικητή </a></li> 
          <li><a href="logout.php" target="_parent"><span></span>Logout </a></li>
        </ul>
	</div>';
    } else {
        echo'
    <div id="templatemo_menu">
        <ul>
            <li><a href="2oGrafeio.php" class="current"><span></span>Αρχική</a></li>
            <li><a><span></span>Ενημέρωση Στελεχών</a><ul>
                   <li><a href="enhmerosh.php" target="_parent" ><span></span>Δείτε τις πρόσφατες ανακοινώσεις</a></li>
                   <li><a href="anakoinosh.php" target="_parent"><span></span>Αναρτήστε τη δική σας ανακοίνωση</a></li>
                                                     </ul> </li>
            <li><a><span></span>Υπηρεσίες</a><ul>
                   <li><a href="view_yphresies.php" target="_parent"><span></span>Δείτε ολες τις υπηρεσίες</a></li>
                   <li><a href="add_yphresies.php" target="_parent"><span></span>Καταχωρήστε νέα υπηρεσία</a></li>
                                            </ul> </li>                        
            <li><a href="fullcalendar/default.php" target="_blank"><span></span>Ημερολόγιο Υπηρεσιών</a>                        
            <li><a href="logout.php" target="_parent"><span></span>Logout </a></li>
        </ul>    
        
	</div>';
    }
    ?>
</div> <!-- end of templatemo_menu -->

<div id="templatemo_main"> <span class="tm_bottom"></span>


    <!-- CONTENT -->
<?php


echo "<h1>Προσθήκη Υπηρεσιών</h1>\n";

    $errors = array();

require_once('../../login/mysqli_connect.php');

 $qstel = "SELECT ID, Surname, Name FROM stelexi";
    $rstel = mysqli_query($dbc, $qstel);
 
 $qyp = "SELECT Id, Name FROM yphresies";
    $ryp = mysqli_query($dbc, $qyp);

if (isset($_POST['submitted'])) {

    if (empty($_POST['STID'])) {
        $errors[] = 'Ξεχάσατε το ID Στελέχους.';
    } else {
        $stid = mysqli_real_escape_string($dbc, ($_POST['STID']));
    }

    if (empty($_POST['YPID'])) {
        $errors[] = 'Ξεχάσατε το ID Υπηρεσίας.';
    } else {
        $ypid = mysqli_real_escape_string($dbc,($_POST['YPID']));
        
        }
            
    if (empty($_POST['hmerom'])) {
        $errors[] = 'Ξεχάσατε την ημερομηνία υπηρεσίας.';
    } else {
        $hm = mysqli_real_escape_string($dbc, ($_POST['hmerom']));
    }

    //elegxos yparxoysas eggrafhs
    $qp="SELECT COUNT(Stid)as count FROM ekteleshyphresivn 
         WHERE Stid='$stid' AND Ypid='$ypid' AND dateofExecution='$hm'";
        $rp= mysqli_query($dbc, $qp);
        $row = mysqli_fetch_array($rp, MYSQLI_ASSOC);

        if ($row['count']!= 0) {
            $errors[]= 'Υπάρχει ήδη εγγραφή με τα ίδια ακριβώς στοιχεία.Προσπαθήστε αλλάζοντας τα στοιχεία';
        }
    
        
    if (!empty($errors)) {
        echo '<h1>Error!</h1>
            <p class="error">The following error(s) occured:<br>';
        foreach ($errors as $msg) {
            echo " -  $msg<br>\n";
        }
        echo '</p><p>Please try again.</p><p><br></p>';
    } else {
        
        
        
        $q= "INSERT INTO ekteleshyphresivn 
            (Stid, Ypid, DateofExecution)
            VALUES (?, ?,?)";
                       
        $stmt = mysqli_prepare($dbc, $q);
        
        mysqli_stmt_bind_param($stmt, 'iis', $stid, $ypid, $hm);
        mysqli_stmt_execute($stmt);
                     
        if (mysqli_stmt_affected_rows($stmt) == 1) {
            echo '<h1>Ευχαριστούμε!</h1>
                <p>Η Υπηρεσία καταχωρήθηκε.</p>';
        } else {
            echo '<h1>System Error</h1>
                <p class="error">Registration could not be done to ekteleshyphresivn due to a system error.
                We apologize for any inconvenience.</p>';
            echo '<p>' . mysqli_error($dbc) . '<br> <br>
                Query: ' . $q . '</p>';
        }
                     

        
        mysqli_close($dbc);
        include('../../divs/footer.php');
        exit();
    }
    mysqli_close($dbc);
}
?>

<h3>Εισάγετε τα στοιχεία</h3>
<form action="add_yphresies.php" method="post">
    <p>Στέλεχος: 
        <select type="text" name="STID" >
            <?php 
            
    while ($rowstel = mysqli_fetch_array($rstel, MYSQLI_ASSOC)) {
       
    echo '<option value="'.$rowstel['ID'].'">'.$rowstel['Surname'].' '.$rowstel['Name'].'</option>';
    }   
        ?>    
           
        </select>
    </p>
     <p>ID Υπηρεσίας: 
         <select type="text" name="YPID" >
            <?php 
            
    while ($rowyp = mysqli_fetch_array($ryp, MYSQLI_ASSOC)) {
       
    echo '<option value="'.$rowyp['Id'].'">'.$rowyp['Name'].'</option>';
    }   
        ?>    
           
        </select>
    </p>
    
    <p>Ημερομ. Υπηρεσίας: 
        <input type="date" name="hmerom" size="15"
               maxlength="40"
                              value="<?php if (isset($_POST['hmerom'])) echo $_POST['hmerom']; ?>">
    </p>
    
    <p><input type="submit" name="submit" value="Καταχώρηση" ></p>
    <input type="hidden" name="submitted" value="TRUE">
</form>





 


    <!-- SIDEBAR -->



    <div class="cleaner"></div>
</div> 




<?php
//include('../../divs/footer.php');
?>